﻿#language: ru

@IIoT

Функционал: 05_IIoT.01.004 Заполнение справочника Показатели анализов номенклатуры и Показатели складов

Сценарий: 05_IIoT.01.004 Создание показателя Плотность молока
	Дано Я подключаюсь под "Администратор"
	И Я создаю показатель анализов номенклатуры "Плотность молока" с типом "Число дробное в диапазоне"

Сценарий: 05_IIoT.01.004 Создание показателя Плотность
	И Я создаю показатель анализов номенклатуры "Плотность" с типом "Число дробное в диапазоне"

Сценарий: 05_IIoT.01.004 Создание показателя Время варки
	И Я создаю показатель анализов номенклатуры "Время варки" с типом "Число дробное в диапазоне"

Сценарий: 05_IIoT.01.004 Создание показателя Время ферментации
	И Я создаю показатель анализов номенклатуры "Время ферментации" с типом "Число дробное в диапазоне"

Сценарий: 05_IIoT.01.004 Создание показателя показатель
	И Я создаю показатель анализов номенклатуры "показатель" с типом "Число дробное в диапазоне"

Сценарий: 05_IIoT.01.004 Создание показателя склада Влажность
	И В командном интерфейсе я выбираю 'Производство' 'Показатели складов'
	Тогда открылось окно 'Показатели складов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Показатель складов (создание)'
	И в поле 'Наименование' я ввожу текст 'Влажность, %'
	И я нажимаю кнопку выбора у поля "Вид результата анализа"
	Тогда открылось окно 'Виды результатов анализов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'              |
		| 'Число дробное в диапазоне' |
	И в таблице "Список" я активизирую поле "Наименование"
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Показатель складов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Показатель складов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Показатели складов'
	И Я закрываю окно 'Показатели складов'

Сценарий: 05_IIoT.01.004 Создание показателя склада Температура
	И В командном интерфейсе я выбираю 'Производство' 'Показатели складов'
	Тогда открылось окно 'Показатели складов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Показатель складов (создание)'
	И в поле 'Наименование' я ввожу текст 'Температура'
	И я нажимаю кнопку выбора у поля "Вид результата анализа"
	Тогда открылось окно 'Виды результатов анализов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'              |
		| 'Число дробное в диапазоне' |
	И в таблице "Список" я активизирую поле "Наименование"
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Показатель складов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Показатель складов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Показатели складов'
	И Я закрываю окно 'Показатели складов'

Сценарий: 05_IIoT.01.004 Создание показателя склада параметр
	И В командном интерфейсе я выбираю 'Производство' 'Показатели складов'
	Тогда открылось окно 'Показатели складов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Показатель складов (создание)'
	И в поле 'Наименование' я ввожу текст 'параметр'
	И я нажимаю кнопку выбора у поля "Вид результата анализа"
	Тогда открылось окно 'Виды результатов анализов'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'              |
		| 'Число дробное в диапазоне' |
	И в таблице "Список" я активизирую поле "Наименование"
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Показатель складов (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Показатель складов (создание) *' в течение 20 секунд
	Тогда открылось окно 'Показатели складов'
	И Я закрываю окно 'Показатели складов'

Сценарий: 05_IIoT.01.004. Создание вида анализа для параметров т/п
	И В командном интерфейсе я выбираю 'Производство' 'Виды анализов номенклатуры'
	Тогда открылось окно 'Виды анализов номенклатуры'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Вид анализа номенклатуры (создание)'
	И в поле 'Наименование' я ввожу текст 'Показатели сепарации'
	И я устанавливаю флаг 'Параметр тех. процесса'
	И в таблице "Показатели" я нажимаю на кнопку с именем 'ПоказателиДобавить'
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'Время ферментации' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Вид анализа номенклатуры (создание) *'
	И в таблице "Показатели" я нажимаю на кнопку с именем 'ПоказателиДобавить'
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Время варки'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Вид анализа номенклатуры (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вид анализа номенклатуры (создание) *' в течение 20 секунд
	Тогда открылось окно 'Виды анализов номенклатуры'
	И Я закрываю окно 'Виды анализов номенклатуры'